Subject: Building guix on top of Ubuntu 13.04
From: Amirouche Boubekki <[email-masked]>
To: [email-masked]
Date: Sat, 27 Jul 2013 16:50:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to install guix on top of Ubuntu, downloaded guix 0.3 and
installed the required dependecies.

I tried to first run guix pull but failed with an error on /nix/store
with wrong rights, the error provided a command to run which I did.
After that I run again guix pull and try to install zile with the
command guix package -i zile

It fails with the following error:

http://paste.call-cc.org/paste?id=6fdc9664ba6f81cfc0e32d168502945e1d6c95f9

I can't install guile 2.0.9 on ubuntu because of some file clash regarding ffi.

Instead I looked in /nix/store and saw that guile 2.0.9 was installed by guix

so I symlinked it in ~/.guix-profile/bin/

replaced the shebang of /usr/local/bin/guix with  /usr/bin/env guile

Running guix package -i zile still fails with the following error:

http://paste.call-cc.org/paste?id=0372e8cc7d7e2849d1b57a2926e0b359b072fa05